<?php

namespace Cacbot;

/**
 * Class responsible for managing action buttons related to Cacbot Conversations.
 * todo: right now action buttons (2) are hard coded, in future will be extensible.
 */
class ActionButtonManager
{
    /**
     * Registers the action to add custom buttons to the comment form.
     */
    public static function enable_custom_comment_buttons()
    {
        \add_filter('comment_form_field_comment', '\Cacbot\ActionButtonManager::add_tool_icons_to_comment_form');
        \add_action('wp_enqueue_scripts', function(){
            \wp_enqueue_style('dashicons');
        });
    }

    /**
     * Adds tool icons below the comment form as action buttons.
     */
    public static function add_tool_icons_to_comment_form($field)
    {
        return $field . '<style>
 .cacbot-action-button{display: none;}
.comment-tool-icons {
    display: flex;
    justify-content: flex-start; /* Align icons to the left */
    margin-top: 10px; /* Add space between the comment box and the icons */
}
.comment-tool-icons .dashicons {
    font-size: 24px;
    margin-right: 10px; /* Add space between icons */
    margin-bottom: 10px; /* Add space between icons */
    cursor: pointer;
}
</style>
<div class="comment-tool-icons">
    <span id = "cacbot-archive-button"  class="dashicons dashicons-trash cacbot-action-button"></span>
    <span id = "cacbot-dall-e-3-button" class="dashicons dashicons-format-image cacbot-action-button"></span>
</div>';
    }
}