<?php

namespace Cacbot;

class Properties{

    //Properties loaded into cacbot_data, available to JS via: console_log(cacbot_data.{key_name}
    public static function get_cacbot_data_js_properties(){
        return [
            "action_enabled_archive",
            "action_enabled_fetch_image",
            "comment_count",
            "nonce",
            "post_id",
        ];
    }

    public static function get_post_meta_keys(){
        $key_names = self::get_transferable_anchor_post_meta_keys();
        $key_names[] = "anchor_post";
        return $key_names;
    }

    public static function get_transferable_anchor_post_meta_keys(){
        return [
            "account_owner_user_id",
            "action_enabled_archive",
            "action_enabled_fetch_image",
            "comment_form_placeholder_text",
            "interlocutor_user_id",
            "max_archives",
            "max_replies",
            "model",
            "reply_strategy",
            "respondent_user_id",
            "system_instructions",
        ];
    }



    public static function get_settable_http_properties(){
        return ["model"];
    }

    public static function get_convertible_id_to_email_properties(){
        return [
            "", //This is reserved for "user_id" with no prefix
            "account_owner",
            "author",
            "interlocutor",
            "respondent"
    ];
        }


}