<?php

namespace Cacbot;

class Scripts
{

    public static function do_on_WordPress_action__wp_enqueue_scripts()
    {

        // Register and enqueue the cacbot-conversation-cpt.js script
        \wp_register_script(
            'cacbot-conversation-cpt',
            \plugin_dir_url(__FILE__) . 'cacbot-conversation-cpt.js', // The JS file
            ['jquery', 'wp-api', 'heartbeat'],
            '1.0',
            true
        );
        \wp_enqueue_script('cacbot-conversation-cpt');
        $post_id = get_queried_object_id();
        if ($post_id && is_numeric($post_id)) {
            \wp_localize_script(
                'cacbot-conversation-cpt',
                'cacbot_data',
                array(
                    'nonce' => \wp_create_nonce("cacbot-action"),
                    'post_id' => $post_id,
                    'comment_count' => Comment::get_published_comments_count(AnchorPost::filter_for_linked_post_id($post_id, get_current_user_id())),
                    'action_enabled_archive' => PostMetaData::meta_exists_and_is_true($post_id, "_cacbot_action_enabled_archive"),
                    'action_enabled_fetch_image' => PostMetaData::meta_exists_and_is_true($post_id, "_cacbot_action_enabled_fetch_image"),
                )
            );
        }
        //Frontend Mods for 2016 theme:
        $theme = \get_option('stylesheet');
        if (
            ($theme === "twentysixteen") or
            ($theme === "cacbot") or
            ($theme === "ai_jesus")
        ) {
            \wp_register_script(
                'mods-2016',
                \plugin_dir_url(__FILE__) . 'mods-2016.js', // The JS file
                ['jquery', 'wp-api', 'wp-api-fetch'],
                '1.0',
                true
            );
            \wp_enqueue_script('mods-2016');
        }
    }
}