/* global cacbot_data */

console.log("cacbot-conversation-cpt.js loaded!");
console.log("cacbot_data:");
console.log(cacbot_data);

document.addEventListener('DOMContentLoaded', function () {
    console.log(cacbot_data.nonce);

    // Display buttons based on conditions
    if (cacbot_data.action_enabled_archive && parseInt(cacbot_data.comment_count) > 0) {
        document.getElementById("cacbot-archive-button").style.display = 'inline';
    }
    if (cacbot_data.action_enabled_fetch_image && parseInt(cacbot_data.comment_count) === 0) {
        document.getElementById("cacbot-dall-e-3-button").style.display = 'inline';
    }

    var commentForm = document.getElementById('commentform');
    if (commentForm) {
        var fetchImageButton = document.getElementById('cacbot-dall-e-3-button');
        if (fetchImageButton) {
            fetchImageButton.addEventListener('click', function (event) {
                //event.preventDefault(); // Prevent default behavior

                // Avoid adding hidden fields multiple times
                if (!commentForm.querySelector('input[name="nonce"]')) {
                    var nonceInput = document.createElement('input');
                    nonceInput.type = 'hidden';
                    nonceInput.name = 'nonce';
                    nonceInput.value = cacbot_data.nonce;
                    commentForm.appendChild(nonceInput);

                    var postIdInput = document.createElement('input');
                    postIdInput.type = 'hidden';
                    postIdInput.name = 'post_id';
                    postIdInput.value = cacbot_data.post_id;
                    commentForm.appendChild(postIdInput);
                }

                commentForm.method = 'POST';
                commentForm.action = `${window.location.origin}/wp-comments-post.php?model=dall-e-3`;
                HTMLFormElement.prototype.submit.call(commentForm);
                console.log("Comment form element:", commentForm);
            });
        } else {
            console.log("Fetch Image button not found");
        }
    }

    // Event listener for the archive button
    var archiveButton = document.getElementById('cacbot-archive-button');
    if (archiveButton) {
        archiveButton.addEventListener('click', function (event) {
            event.preventDefault(); // Prevent default behavior

            // Create form if not already created
            if (!document.getElementById('archiveForm')) {
                var form = document.createElement('form');
                form.id = 'archiveForm';
                form.method = 'POST';
                form.action = `${window.location.origin}${window.location.pathname}?model=archive#comment`;

                var nonceInput = document.createElement('input');
                nonceInput.type = 'hidden';
                nonceInput.name = 'nonce';
                nonceInput.value = cacbot_data.nonce;
                form.appendChild(nonceInput);

                var postIdInput = document.createElement('input');
                postIdInput.type = 'hidden';
                postIdInput.name = 'post_id';
                postIdInput.value = cacbot_data.post_id;
                form.appendChild(postIdInput);

                document.body.appendChild(form);
                form.submit();
            }
        });
    } else {
        console.log("Archive button not found");
    }
});